> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Move number pool member

> Move a phone number from its current pool into the target pool.



## OpenAPI

````yaml api-reference/number-pools/openapi.json POST /v1/number-pools/{id}/members/move
openapi: 3.0.3
info:
  title: Persistence Number Pools API
  version: '1.0'
  description: Manage groups of outbound phone numbers.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Number pools
paths:
  /v1/number-pools/{id}/members/move:
    post:
      tags:
        - Number pools
      summary: Move number pool member
      operationId: moveNumberPoolMember
      parameters:
        - $ref: '#/components/parameters/PoolId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveRequest'
      responses:
        '200':
          description: Moved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MoveResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PoolId:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    MoveRequest:
      type: object
      required:
        - phoneNumberId
      properties:
        phoneNumberId:
          type: string
    MoveResult:
      type: object
      properties:
        phoneNumberId:
          type: string
        phoneNumber:
          type: string
        fromPoolId:
          type: string
        toPoolId:
          type: string
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````